Topic
  • 2 replies
  • Latest Post - ‏2013-04-16T18:24:56Z by it_neweyebee
SystemAdmin
SystemAdmin
6056 Posts

Pinned topic DB2 10.1 FP2 is support on ITM 622 FP4?

‏2013-03-12T16:40:05Z |
We are in the process to upgrade both DB2 on ITM and ITM itself(ITM622 FP4 today). Is DB2 10.1 FP2 supported on ITM 622 FP4? or I have to upgrade ITM to 6.3 first, then upgrade DB2 to 10.1 FP2.
Updated on 2013-03-28T20:23:04Z at 2013-03-28T20:23:04Z by SystemAdmin
  • SystemAdmin
    SystemAdmin
    6056 Posts

    Re: DB2 10.1 FP2 is support on ITM 622 FP4?

    ‏2013-03-28T20:23:04Z  
    DB2 10.1 is not supported on ITM 622 FP4. This support is started with ITM 623 FP2. I would suggest an upgrade to ITM 630 before upgrading DB2 to 10.1 FP2.
  • it_neweyebee
    it_neweyebee
    2 Posts

    Re: DB2 10.1 FP2 is support on ITM 622 FP4?

    ‏2013-04-16T18:24:56Z  
    DB2 10.1 is not supported on ITM 622 FP4. This support is started with ITM 623 FP2. I would suggest an upgrade to ITM 630 before upgrading DB2 to 10.1 FP2.

    For more details about (monitoring) support of DB2 10.1 FP1 (and DB2 9.7 FP7) with ITM6 (monitoring) product IBM Tivoli Composite Application Manager Agent for DB2 V7.1, the following technotes should be taken in account:

    http://www-01.ibm.com/support/docview.wss?uid=swg21621737 (-> reference: ITM APAR IV29900)

    It e.g. says that if you install ITCAM for DB2 7.1 into an ITM 6.23.01 or lower installation, you need the patch 6.2.3.1-TIV-ITM-IF0001-IV29900, where 6.2.3.1-TIV-ITM-IF0001-IV29900 is some provisional ITM6 fix, which needs to be installed locally on any machine with DB2 10.1 FP1 (or DB2 9.7 FP7), which needs to be monitored with DB2 Agent 7.1 (if the fix is not installed, you will get such error message when starting DB2 Agent 7.1:
    KCIIN0206E Could not start/stop agent : java.util.NoSuchElementException)

    APAR IV29900 will be included in ITM 623 FP3 and (already) is included in  ITM 630. Therefore ITM 623 FP3 and above will/do support DB2 Agent 7.1 to monitor DB2 10.1 FP1 and above.

    http://www-01.ibm.com/support/docview.wss?uid=swg21622969 (some older reference for ITM APAR IV29900)

    It also says, that 6.2.3.1-TIV-ITM-IP0001-IV29900 is for patching the IBM Tivoli Composite Application Manager Agent for DB2 v7.1 installation containing no other ITM components, or ITM 6.23 FP1 or lower only components (and that this patch was built special and does not support remote deploy patching -> therefore needs to be installed locally) to support (monitoring of) DB2 v10.1 FP1 and above.